function [Z,S,B,hx,hy] = diskretizuj_obdelnik(a,b,h)

% [Z,S,B,hx,hy] = diskretizuj_obdelnik(a,b,h)
%              Z souradnice uzlu
%              S indexy uzlu v ramci stencilu v poradi
%                [stred;vlevo;vpravo;dole;nahore]
%              B indexy hranicnich uzlu
%              hx,hy skutecne diskretizacni kroky v osach x,y

nx = floor(a/h);
ny = floor(b/h);

hx = a/nx;
hy = b/ny;

N = (nx+1)*(ny+1);
Z = zeros(2,N);

NI = (nx-1)*(ny-1);
S = zeros(5,NI);

NB = N-NI;
B = zeros(1,NB);

idx = 1;
idxI = 1;
idxB = 1;
for i=0:nx
    xi = i*hx;
    
    for j=0:ny
        yj = j*hy;
        
        Z(:,idx) = [xi;yj];
        
        if i==0 || i==nx || j==0 || j==ny
            B(idxB) = idx;
            idxB = idxB+1;
        else
            S(:,idxI) = [idx;idx-(ny+1);idx+(ny+1);idx-1;idx+1];
            idxI = idxI+1;
        end
        
        idx = idx+1;
        
    end
    
end
